Loading...
Searching...
No Matches
sensors::Logger::SensorSet Struct Reference

Set of logged sensors. More...

`import <SensorLogger.idl;`

## Public Attributes

vector< sensors::Sensor > | sensors
| List of numeric or state sensors.
vector< peripheral::DeviceSlot > | slots
| List of peripheral device slots.

## Detailed Description

Set of logged sensors.

Definition at line 53 of file SensorLogger.idl.

## Member Data Documentation

## sensors

vector<sensors::Sensor> sensors::Logger::SensorSet::sensors

List of numeric or state sensors.

Definition at line 55 of file SensorLogger.idl.

## slots

vector<peripheral::DeviceSlot> sensors::Logger::SensorSet::slots

List of peripheral device slots.

Definition at line 57 of file SensorLogger.idl.

The documentation for this struct was generated from the following file:

- SensorLogger.idl